"""Python wrappers for teem, a coordinated group of libraries for
representing, processing, and visualizing scientific raster data.

teem is available at http://teem.sourceforge.net. Teem was created by
Gordon Kindlmann.

These wrappers wre created by automatically generating a ctypes
wrapper for libteem by parsing the gccxml output of the headers, and a
minimal Python class library was created on top of the c function
calls.

The Python class libraries are currently limited to mostly nrrd and
gage.

One notable feature of these bindings is that it they know about the
python array conventions, so it is very easy to convert between numpy
arrays and nrrds, which brings a fair amount of flexibility to the
library. See nrrd.py for details.

If you find any bugs, please contact cscheid@sci.utah.edu.

"""

##############################################################################

pass
