#!/usr/bin/env python

from teem.nrrd import Nrrd
import sys

def usage():
    print "%s <nrrd in> <nrrd out>" % sys.argv[0]
    print "  Draws histogram of input and saves it on output"

def main(filename_in, filename_out):
    Nrrd.load(filename_in).histo(256).histoDraw(128).save(filename_out)

if __name__ == '__main__':
    if len(sys.argv) < 3:
        usage()
        sys.exit(1)
    main(sys.argv[1], sys.argv[2])
